Library AD9915
===========

C-based code for ad9915 with SPI support

Dependencies
------------

You must install the following dependencies:

- [CMake](https://cmake.org/) >= 2.8


Building the library
-----------------

```sh
mkdir build
cd build
cmake ..
make
make install # may require root permissions
```

Eventually run `ldconfig` as root to cache the library

Available Options
-----------------

- AD9915_DEBUG: Enable the debug build type

To use a option use this command
```sh
cmake -DAD9915_DEBUG=ON|OFF ..
```


Test it
----------

```
cd test
sh run.sh
```

